#include "GL/Framework.h"
#include "TankCombat.h"

#include <cstdlib>
#include <iostream>
using namespace std;


int main(int argc, char **argv) 
{
	Framework::initFramework(argc, argv, "Tank Battle");
	
	int i = 8;
	
	if (argc == 1)
	{
		cout << "Taking worldsize to be the default: 2^" << i << endl;
	}
	else if (argc == 2)
	{
		/* hmm, there must be a c++ way to do this... */
		char * endptr;
		i = strtol(argv[1], &endptr, 0);
		if (!(*argv[1] != '\0' && *endptr == '\0') ||
			i < 1 || i > 15)
		{
			cout << i << " please specify a valid integer in [1, 15]" << endl;
			exit(-1);
		}
		cout << "Taking worldsize to be the user specified value: 2^" << i << endl;
	}
	else
	{
		cout << "Usage: " << endl;
		exit(-1);
	}

	TankCombat scene(i);
	
	return Framework::startFramework(scene);
}
