
#ifndef GLOBJECT_H
#define GLOBJECT_H

#include "OpenGL.h"


/**
  *@author Wouter Koolen-Wijkstra
  */

class GLObject {
public: 
			GLObject(unsigned int 	nvertices);
	virtual ~GLObject();
	
	void drawVertexNormals(double length, unsigned int from = 0, unsigned int to = (unsigned int)-1) const;

protected:
	unsigned int 	nvertices;
	GLfloat * 		vertexbuffer;
	GLfloat * 		normalbuffer;
};

#endif
