#ifndef LIGHTBUFFER_H
#define LIGHTBUFFER_H


/**
  *@author Wouter Koolen-Wijkstra
  */

class LightBuffer
{
public: 
			LightBuffer();
	virtual ~LightBuffer();

	unsigned int 	newLight();
	void 			freeLight(unsigned int id);
	unsigned int	available() const;


private:
	void 			resize(unsigned int nlights);
	unsigned int 	nlights;
	unsigned int	used;
	bool * 			lightUsed;
	

	friend class OpenGL;
};

#endif
