#ifndef _MATERIAL_H
#define _MATERIAL_H

#include <GL/gl.h>
#include "LinAlg.h"

class Material
{
protected:
	Vector<GLfloat> 	ambient;
	Vector<GLfloat> 	diffuse;
	Vector<GLfloat> 	specular;
	Vector<GLfloat> 	emission;
	GLfloat				shininess;

public:
	Material(
	const Vector<GLfloat> 	& ambient,
	const Vector<GLfloat> 	& diffuse,
	const Vector<GLfloat> 	& specular,
	const Vector<GLfloat> 	& emission,
	GLfloat				shininess);
	
	void set();
	
};


#endif //_MATERIAL_H
