#ifndef _SCENE_H
#define _SCENE_H

class Point;

class Scene
{
public:
			Scene();
	virtual ~Scene();

	virtual void draw(int w, int h) const;

	virtual	void advance(double totaltime, double dt);

	virtual void processNormalKeyDown	(unsigned char key, int modifiers, const Point & mouse);
	virtual void processNormalKeyUp		(unsigned char key, int modifiers, const Point & mouse);
	virtual void processSpecialKeyDown	(int key, 			int modifiers, const Point & mouse);
	virtual void processSpecialKeyUp	(int key, 			int modifiers, const Point & mouse);
	

protected:
	int 	frames;
	double 	waited;
};

#endif //_SCENE_H
