# The stuff we have
DIR  		:= GL

LOCALSRC  	:= $(wildcard ${SRCDIR}/${DIR}/*.cpp)
CPPSRC		+= ${LOCALSRC}

# The stuff we want to create from it
BUILDDIRS	+= $(BUILDDIR)/$(DIR)
DISTDIRS	+= $(DISTDIR)/$(DIR)
LOCALOBJ	:= ${patsubst ${SRCDIR}/%.cpp,$(BUILDDIR)/%.o, $(LOCALSRC)}
LOCALLIB	:= $(DISTDIR)/${DIR}/lib${DIR}.so
LOCALLIBS 	:= -lglut -lGLU -lGL -lXmu -lXi -lXext -lX11 -lm -L/usr/X11R6/lib

ifeq  (${LIBTYPE}, SHARED)

LIBFILES	+= ${LOCALLIB}
${LOCALLIB}	: ${LOCALOBJ}
	${MKLIB} ${LIBFLAGS} -o $@ $^ ${LOCALLIBS}

else

OBJFILES	+= ${LOCALOBJ}
GLOBALLIBS	+= ${LOCALLIBS}

endif
	
