#include "Axes.h"

#include "GL/OpenGL.h"


Axes::Axes(double size) : size(size)
{
}


Axes::~Axes()
{
}



void Axes::draw() const
{
	OpenGL::Disable(GL_LIGHTING);

	OpenGL::Begin(GL_LINES);
		OpenGL::Color(1,0,0);
		OpenGL::Vertex(Vector<GLfloat>(-size, 0, 0));
		OpenGL::Vertex(Vector<GLfloat>(+size, 0, 0));
		
		OpenGL::Color(0,1,0);
		OpenGL::Vertex(Vector<GLfloat>(0, -size, 0));
		OpenGL::Vertex(Vector<GLfloat>(0, +size, 0));
		
		OpenGL::Color(0,0,1);
		OpenGL::Vertex(Vector<GLfloat>(0, 0, -size));
		OpenGL::Vertex(Vector<GLfloat>(0, 0, +size));
	OpenGL::End();

	OpenGL::Enable(GL_LIGHTING);
}


void Axes::advance(double totaltime)
{
}
