

#ifndef BOX_H
#define BOX_H

/**
  *@author Wouter Koolen-Wijkstra
  */

#include "LinAlg.h"
#include <GL/gl.h>


class Box
{
public: 
			Box(const double p[3][2]);
			Box(double x0, double x1, double y0, double y1, double z0, double z1);
			
	virtual ~Box();

	void draw(const Vector<GLfloat> & color = Vector<GLfloat>(1,1,1)) const;

	double p[3][2];

	static 	void Union(Box *& b1, const Box * b2);
};

#endif
