/* -----------------------------------------------------------------------------

	Point class
	
	Models an 2D Poing with some simple arithmetic defined on it.

*/

#ifndef _POINT_H
#define _POINT_H
#include <GL/gl.h>

#include <iostream>
using namespace std;


class Point 
{
public:
	Point();
	
	Point(GLdouble x, GLdouble y);
	
	double distance(const Point & p) const;
	
	Point operator - (const Point & p) const;

	Point operator + (const Point & p) const;
	
	GLdouble  x, y;
};

ostream & operator << (ostream & s, const Point & p);


#endif //_POINT_H
