#ifndef SPHERE_H
#define SPHERE_H


/**
  *@author Wouter Koolen-Wijkstra
  */
#include "LinAlg.h"
#include <GL/gl.h>


class Box;

class Sphere
{
public: 
			Sphere(const Vector<GLfloat> & x, double radius);
			Sphere(const Box & b);
	virtual ~Sphere();

	void draw(const Vector<GLfloat> & color = Vector<GLfloat>(1,1,1)) const;

	Vector<GLfloat> 	x;
	double 			radius;
	
private:
	// we need cubic pythagoras. Yeah!
	static const double sqrt3p2;	
};

#endif
