#ifndef _TANKMODEL_H
#define _TANKMODEL_H
#include "GL/OpenGL.h"

#include "GL/GLModel.h"
#include "GL/Material.h"
#include "GL/LinAlg.h"

class TankModel : public GLModel
{
public:
			TankModel();
	virtual ~TankModel();
	
	virtual void draw(double a_cabine, double a_funnel) const;

private:
	unsigned int 	nvertices;
	GLfloat * 		vertexbuffer;
	GLfloat * 		normalbuffer;
	GLuint **		indexbuffer;

	static Material 			TankMaterial[];
	static Vector<GLfloat> 		vs[];
	static Vector<GLfloat> 		ns[];
};


#endif // _TANKMODEL_H
