#ifndef _ARRAY_H
#define _ARRAY_H

template<class T>
T * new_array(unsigned int s1)
{
	return new T[s1];
}


template<class T>
void delete_array(T * r, unsigned int s1)
{
	delete [] r;
}



template<class T>
T ** new_array(unsigned int s1, unsigned int s2)
{
	T ** r = new T*[s1];
	for (unsigned int i = 0; i < s1; i++)
	{
		r[i] = new_array<T>(s2);
	}
	return r;
}

template<class T>
void delete_array(T ** r, unsigned int s1, unsigned int s2)
{
	for (unsigned int i = 0; i < s1; i++)
	{
		delete_array(r[i], s2);
	}
	delete [] r;
}




template<class T>
T *** new_array(unsigned int s1, unsigned int s2, unsigned int s3)
{
	T *** r = new T**[s1];
	for (unsigned int i = 0; i < s1; i++)
	{
		r[i] = new_array<T>(s2, s3);
	}
	return r;
}


template<class T>
void delete_array(T *** r, unsigned int s1, unsigned int s2, unsigned int s3)
{
	for (unsigned int i = 0; i < s1; i++)
	{
		delete_array(r[i], s2, s3);
	}
	delete [] r;
}



#endif //_ARRAY_H
