#ifndef _UTILS_H
#define _UTILS_H

#include <cstdio>
#include <cstdlib>
#include <iostream>
using namespace std;

#define sizein(X) 	(sizeof(X)/sizeof(X[0]))
#define sqr(X)    	((X)*(X))
#define	g2r(X)		((X)/180.0*M_PI)
#define w_abs(X)	((X) < 0 ? -(X) : (X))
#define w_min(X, Y)	((X) < (Y) ? (X) : (Y))
#define w_max(X, Y)	((X) > (Y) ? (X) : (Y))
#define w_clamp(Min, X, Max)	(X < Min ? Min : X > Max ? Max : X)
#define TIME(X)		{ 	cout << left << setw(30) << __FILE__  << setw(30) << #X << flush; \
						double t = getTime(); \
						X; \
						t = getTime()-t; \
						cout << fixed << setw(10) << setprecision(2) << t << endl; \
					}

double 	getTime();
void   	randomize();

#endif //_UTILS_H
